Edit a suggestion before approving it
curl --request PUT \
--url https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"response": "<string>",
"label": "<string>",
"topic": "<string>"
}
'import requests
url = "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}"
payload = {
"title": "<string>",
"response": "<string>",
"label": "<string>",
"topic": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', response: '<string>', label: '<string>', topic: '<string>'})
};
fetch('https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'response' => '<string>',
'label' => '<string>',
'topic' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"response\": \"<string>\",\n \"label\": \"<string>\",\n \"topic\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"response\": \"<string>\",\n \"label\": \"<string>\",\n \"topic\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"response\": \"<string>\",\n \"label\": \"<string>\",\n \"topic\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"disabled": true,
"hasPlaceholder": false,
"createdAt": "2026-08-10T14:32:05",
"updatedAt": "2026-08-10T18:20:41",
"id": "6683f1c2a4b19e0012ab34cd",
"title": "Vocês entregam no interior?",
"response": "<string>",
"label": "logistica",
"topic": "Entregas",
"type": "N1",
"gapStatus": "NEW",
"rationale": "<string>",
"ticketCount": 14,
"sampleQuestions": [
{
"conversationId": "<string>",
"text": "<string>"
}
]
}{
"error": "Forbidden: token holds no claim for the requested account"
}{
"error": "Forbidden: token holds no claim for the requested account"
}{
"error": "Forbidden: token holds no claim for the requested account"
}Content Improvements
Edit a suggestion before approving it
Rewrite a pending suggestion — typically to fill in a [COMPLETAR] blank that blocks approval. Only suggestions can be edited here; ordinary content is edited through updateEntry.
PUT
/
v1
/
knowledge-bases
/
{kbId}
/
improvements
/
{entryId}
Edit a suggestion before approving it
curl --request PUT \
--url https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"response": "<string>",
"label": "<string>",
"topic": "<string>"
}
'import requests
url = "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}"
payload = {
"title": "<string>",
"response": "<string>",
"label": "<string>",
"topic": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', response: '<string>', label: '<string>', topic: '<string>'})
};
fetch('https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'response' => '<string>',
'label' => '<string>',
'topic' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"response\": \"<string>\",\n \"label\": \"<string>\",\n \"topic\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"response\": \"<string>\",\n \"label\": \"<string>\",\n \"topic\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/improvements/{entryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"response\": \"<string>\",\n \"label\": \"<string>\",\n \"topic\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"disabled": true,
"hasPlaceholder": false,
"createdAt": "2026-08-10T14:32:05",
"updatedAt": "2026-08-10T18:20:41",
"id": "6683f1c2a4b19e0012ab34cd",
"title": "Vocês entregam no interior?",
"response": "<string>",
"label": "logistica",
"topic": "Entregas",
"type": "N1",
"gapStatus": "NEW",
"rationale": "<string>",
"ticketCount": 14,
"sampleQuestions": [
{
"conversationId": "<string>",
"text": "<string>"
}
]
}{
"error": "Forbidden: token holds no claim for the requested account"
}{
"error": "Forbidden: token holds no claim for the requested account"
}{
"error": "Forbidden: token holds no claim for the requested account"
}Authorizations
Path Parameters
Body
application/json
New text for a suggestion, before approving it.
Response
The suggestion as stored.
An answer Claudia suggests for a question your content does not cover yet.